Index: units/helpers/deployment_helper.php
===================================================================
--- units/helpers/deployment_helper.php	(revision 15117)
+++ units/helpers/deployment_helper.php	(working copy)
@@ -418,14 +418,14 @@
 			$sqls = array_map('trim', $sqls);
 
 			foreach ($sqls as $sql) {
-				$this->toLog($sql);
-
 				if ( substr($sql, 0, 1) == '#' ) {
 					// output comment as is
+					$this->toLog($sql);
 					echo $this->colorText($sql, 'purple') . PHP_EOL;
 					continue;
 				}
 				elseif ( $sql ) {
+					$this->toLog($sql . ' ... ', false);
 					echo mb_substr(trim(preg_replace('/(\n|\t| )+/is', ' ', $sql)), 0, self::SQL_TRIM_LENGTH) . ' ... ';
 
 					$this->Conn->Query($sql);
@@ -437,6 +437,7 @@
 						return false;
 					}
 					else {
+						$this->toLog('OK (' . $this->Conn->getAffectedRows() . ')');
 						$this->displayStatus('OK (' . $this->Conn->getAffectedRows() . ')');
 					}
 				}
@@ -461,7 +462,7 @@
 	 */
 	public function handleSqlError($code, $msg, $sql)
 	{
-		$this->toLog('SQL Error #' . $code . ': ' . $msg);
+		$this->toLog('FAILED' . PHP_EOL . 'SQL Error #' . $code . ': ' . $msg);
 
 		$this->displayStatus('FAILED' . PHP_EOL . 'SQL Error #' . $code . ': ' . $msg);
 		echo 'Please execute rest of SQLs in this Revision by hand and run deployment script again.' . PHP_EOL;
